- Request
- Headers
- Body
- ParkId
- OrderId
- OrderIds
- OrderShortId
- OrderShortIds
- DateTime
- DateTimeInterval
- OrderTypeId
- OrderTypeIds
- QueryParkOrderType
- OrderStatus
- Statuses
- PaymentMethod
- PaymentMethods
- Provider
- Providers
- Categories
- Amount
- PriceInterval
- OrdersListQueryParkOrder
- DriverProfileId
- OrdersListQueryParkDriverProfile
- CarId
- OrdersListQueryParkCar
- OrdersListQueryPark
- OrdersListQuery
- OrdersListLimit
- RequestCursor
- Responses
- 200 OK
- 400 Bad Request
- 401 Unauthorized
- 403 Forbidden
- 429 Too Many Requests
- 500 Internal Server Error
Getting list of orders
Getting list of orders
Request
POST
https://fleet-api.taxi.yandex.net/v1/parks/orders/list
Headers
|
Name |
Description |
|
X-API-Key |
Type: string API-key Min length: Example: |
|
X-Client-ID |
Type: string Client ID Min length: Example: |
Body
application/json
{
"query": {
"park": {
"id": "ee6f33c4562b4e1f8646d157bd70b2c4",
"order": {
"ids": [
"c8d40acf182b4b32af72f6ad2029031b"
],
"short_ids": [
248
],
"booked_at": {
"from": "2019-08-08T11:58:01+03:00",
"to": null
},
"ended_at": null,
"type": {
"ids": [
null
]
},
"statuses": [
"complete"
],
"payment_methods": [
"card"
],
"providers": [
"platform"
],
"categories": [
"econom"
],
"price": {
"from": "12345.1434",
"to": null
}
},
"driver_profile": {
"id": "33de650c6a1a40bfa78dd981817da866"
},
"car": {
"id": "5011ade6ba054dfdb7143c8cc9460dbc"
}
}
},
"limit": 100,
"cursor": "example"
}
|
Name |
Description |
|
limit |
Type: OrdersListLimit Upper limit of the number of orders per response Min value: Max value: Example: |
|
query |
Type: OrdersListQuery Example
|
|
cursor |
Type: RequestCursor Cursor for obtaining the next data chunk, the value must be taken from the response to the previous request Min length: Example: |
ParkId
Partner ID
Type: string
Min length: 1
Max length: 100
Example: ee6f33c4562b4e1f8646d157bd70b2c4
OrderId
Order ID
Type: string
Min length: 1
Max length: 100
Example: c8d40acf182b4b32af72f6ad2029031b
OrderShortId
Index number of the order (with canceled orders taken into account)
Type: integer
Min value: 0
DateTime
ISO 8601 with time zone
Type: string<date-time>
Example: 2019-08-08T11:58:01+03:00
DateTimeInterval
|
Name |
Description |
|
from |
Type: DateTime ISO 8601 with time zone Example: |
|
to |
Type: DateTime ISO 8601 with time zone Example: |
Example
{
"from": "2019-08-08T11:58:01+03:00",
"to": null
}
OrderTypeId
Order type ID
Type: string
Min length: 1
Example: 4964b852670045b196e526d59915b777
OrderTypeIds
Type: OrderTypeId[]
Min items: 1
Max items: 100
Example
[
"4964b852670045b196e526d59915b777"
]
QueryParkOrderType
|
Name |
Description |
|
ids |
Type: OrderTypeIds Min items: Max items: Example
|
Example
{
"ids": [
"4964b852670045b196e526d59915b777"
]
}
OrderStatus
Order status. Possible values:
none— no status;driving— en route;waiting— is waiting for the client;transporting— is on the ride now;complete— order completed;cancelled— cancelled;calling— status for a technical error;expired— status for a technical error;failed— status for a technical error;
Type: string
Enum: none, driving, waiting, transporting, complete, cancelled, calling, expired, failed
PaymentMethod
Payment method. Possible values:
cash— cash;cashless— non-cash;card— card;internal— internal;other— other;corp— corporate account;prepaid— advance payment.
Type: string
Enum: cash, cashless, card, internal, other, corp, prepaid
Provider
Type: string
Enum: none, partner, platform
Categories
List of vehicle categories. Possible values:
econom— Economy class;comfort— Comfort;comfort_plus— Comfort+;business— business class vehicle;minivan— minivan;vip— A VIP class vehicle;wagon— multi-purpose;pool— pool class vehicle;start— Start class vehicle;standart— Standart class vehicle;ultimate— Premier;maybach— elite class vehicle;promo— promotion;premium_van— cruise van;premium_suv— premium SUV;suv— SUV;personal_driver— personal driver class vehicle;express— delivery class vehicle;cargo— a cargo vehicle.
Type: string[]
Example
[
"econom"
]
Amount
Fixed-point sum
Type: string
Max length: 20
Example: 12345.1434
PriceInterval
|
Name |
Description |
|
from |
Type: Amount Fixed-point sum Max length: Example: |
|
to |
Type: Amount Fixed-point sum Max length: Example: |
Example
{
"from": "12345.1434",
"to": null
}
OrdersListQueryParkOrder
Either booked_at or ended_at is required
|
Name |
Description |
|
booked_at |
Type: DateTimeInterval Example
|
|
categories |
Type: Categories List of vehicle categories. Possible values:
Example
|
|
ended_at |
Type: DateTimeInterval Example
|
|
ids |
Type: OrderIds Min items: Max items: Example
|
|
payment_methods |
Type: PaymentMethods Min items: Example
|
|
price |
Type: PriceInterval Example
|
|
providers |
Type: Providers Min items: Example
|
|
short_ids |
Type: OrderShortIds Min items: Max items: Example
|
|
statuses |
Type: Statuses Min items: Example
|
|
type |
Type: QueryParkOrderType Example
|
Example
{
"ids": [
"c8d40acf182b4b32af72f6ad2029031b"
],
"short_ids": [
248
],
"booked_at": {
"from": "2019-08-08T11:58:01+03:00",
"to": null
},
"ended_at": null,
"type": {
"ids": [
"4964b852670045b196e526d59915b777"
]
},
"statuses": [
"complete"
],
"payment_methods": [
"card"
],
"providers": [
"platform"
],
"categories": [
"econom"
],
"price": {
"from": "12345.1434",
"to": null
}
}
DriverProfileId
Driver ID
Type: string
Min length: 1
Max length: 100
Example: 33de650c6a1a40bfa78dd981817da866
OrdersListQueryParkDriverProfile
|
Name |
Description |
|
id |
Type: DriverProfileId Driver ID Min length: Max length: Example: |
Example
{
"id": "33de650c6a1a40bfa78dd981817da866"
}
CarId
Vehicle ID
Type: string
Min length: 1
Max length: 100
Example: 5011ade6ba054dfdb7143c8cc9460dbc
OrdersListQueryParkCar
|
Name |
Description |
|
id |
Type: CarId Vehicle ID Min length: Max length: Example: |
Example
{
"id": "5011ade6ba054dfdb7143c8cc9460dbc"
}
OrdersListQueryPark
|
Name |
Description |
|
id |
Type: ParkId Partner ID Min length: Max length: Example: |
|
order |
Type: OrdersListQueryParkOrder Either booked_at or ended_at is required Example
|
|
car |
Type: OrdersListQueryParkCar Example
|
|
driver_profile |
Type: OrdersListQueryParkDriverProfile Example
|
Example
{
"id": "ee6f33c4562b4e1f8646d157bd70b2c4",
"order": {
"ids": [
"c8d40acf182b4b32af72f6ad2029031b"
],
"short_ids": [
248
],
"booked_at": {
"from": "2019-08-08T11:58:01+03:00",
"to": null
},
"ended_at": null,
"type": {
"ids": [
"4964b852670045b196e526d59915b777"
]
},
"statuses": [
"complete"
],
"payment_methods": [
"card"
],
"providers": [
"platform"
],
"categories": [
"econom"
],
"price": {
"from": "12345.1434",
"to": null
}
},
"driver_profile": {
"id": "33de650c6a1a40bfa78dd981817da866"
},
"car": {
"id": "5011ade6ba054dfdb7143c8cc9460dbc"
}
}
OrdersListQuery
|
Name |
Description |
|
park |
Type: OrdersListQueryPark Example
|
Example
{
"park": {
"id": "ee6f33c4562b4e1f8646d157bd70b2c4",
"order": {
"ids": [
"c8d40acf182b4b32af72f6ad2029031b"
],
"short_ids": [
248
],
"booked_at": {
"from": "2019-08-08T11:58:01+03:00",
"to": null
},
"ended_at": null,
"type": {
"ids": [
"4964b852670045b196e526d59915b777"
]
},
"statuses": [
"complete"
],
"payment_methods": [
"card"
],
"providers": [
"platform"
],
"categories": [
"econom"
],
"price": {
"from": "12345.1434",
"to": null
}
},
"driver_profile": {
"id": "33de650c6a1a40bfa78dd981817da866"
},
"car": {
"id": "5011ade6ba054dfdb7143c8cc9460dbc"
}
}
}
OrdersListLimit
Upper limit of the number of orders per response
Type: integer
Min value: 1
Max value: 500
RequestCursor
Cursor for obtaining the next data chunk, the value must be taken from the response to the previous request
Type: string
Min length: 1
Example: example
Responses
200 OK
List of orders
Body
application/json
{
"orders": [
{
"id": "c8d40acf182b4b32af72f6ad2029031b",
"short_id": 248,
"status": "complete",
"created_at": "2019-08-08T11:58:01+03:00",
"booked_at": null,
"provider": "platform",
"category": "econom",
"amenities": [
"wifi"
],
"address_from": {
"address": "8 Liberty Street",
"lat": 55.762235,
"lon": 37.609651
},
"route_points": [
null
],
"events": [
{
"event_at": null,
"order_status": null
}
],
"ended_at": null,
"payment_method": "card",
"driver_profile": {
"id": "33de650c6a1a40bfa78dd981817da866",
"name": "Smith, John Richard"
},
"car": {
"id": "5011ade6ba054dfdb7143c8cc9460dbc",
"brand_model": "BMW 5er",
"license": {
"number": "AA01234567"
},
"callsign": "123456789"
},
"type": {
"id": "4964b852670045b196e526d59915b777",
"name": "Yandex.Cashless"
},
"price": "12345.1434",
"driver_work_rule": {
"id": "e26a3cf21acfe01198d50030487e046b",
"name": "Rental"
},
"mileage": "example",
"cancellation_description": "example",
"park_details": {
"tariff": {
"id": "example",
"name": "example"
},
"passenger": {
"name": "example",
"phones": [
null
]
},
"company": {
"id": "example",
"name": "example",
"slip": "example",
"comment": "example"
}
}
}
],
"limit": 100,
"cursor": ""
}
|
Name |
Description |
|
limit |
Type: OrdersListLimit Upper limit of the number of orders per response Min value: Max value: Example: |
|
orders |
Type: OrdersList Example
|
|
cursor |
Type: ResponseCursor Cursor for obtaining the next data chunk Example: `` |
Category
Vehicle category. Possible values:
econom— Economy class;comfort— Comfort;comfort_plus— Comfort+;business— business class vehicle;minivan— minivan;vip— A VIP class vehicle;wagon— multi-purpose;pool— pool class vehicle;start— Start class vehicle;standart— Standart class vehicle;child_tariff— Kids service class;ultimate— Premier;maybach— elite class vehicle;promo— promotion;premium_van— cruise van;premium_suv— premium SUV;suv— SUV;personal_driver— personal driver class vehicle;express— delivery class vehicle;cargo— a cargo vehicle.
Type: string
Enum: econom, comfort, comfort_plus, business, minivan, vip, wagon, pool, start, standart, child_tariff, ultimate, maybach, promo, premium_van, premium_suv, suv, personal_driver, express, cargo
Amenities
Vehilce amenity. Possible values:
conditionerno_smokingchild_chairanimal_transportuniversalwificheckcardyamoneynewspapercouponcreditcarddont_callsmokingdeliveryvip_eventwoman_driverpost_terminalbicycleskiingpassenger_pluscargo_cleandoor_to_doorstickerlightbox
Type: string[]
Example
[
"wifi"
]
AddressInfo
|
Name |
Description |
|
address |
Type: string Order address Example: |
|
lat |
Type: number Geographic latitude |
|
lon |
Type: number Geographic longitude |
Example
{
"address": "8 Liberty Street",
"lat": 55.762235,
"lon": 37.609651
}
RoutePoints
Type: AddressInfo[]
Example
[
{
"address": "8 Liberty Street",
"lat": 55.762235,
"lon": 37.609651
}
]
Event
|
Name |
Description |
|
event_at |
Type: DateTime ISO 8601 with time zone Example: |
|
order_status |
Type: OrderStatus Order status. Possible values:
Enum: |
Example
{
"event_at": "2019-08-08T11:58:01+03:00",
"order_status": "complete"
}
Events
Type: Event[]
Example
[
{
"event_at": "2019-08-08T11:58:01+03:00",
"order_status": "complete"
}
]
DriverProfile
|
Name |
Description |
|
id |
Type: DriverProfileId Driver ID Min length: Max length: Example: |
|
name |
Type: string Driver's full name Example: |
Example
{
"id": "33de650c6a1a40bfa78dd981817da866",
"name": "Smith, John Richard"
}
License
|
Name |
Description |
|
number |
Type: string Vehicle registration number Example: |
Example
{
"number": "AA01234567"
}
Callsign
Vehicle code name (short name)
Type: string
Example: 123456789
OrdersListCar
|
Name |
Description |
|
brand_model |
Type: string Vehicle make and model Example: |
|
callsign |
Type: Callsign Vehicle code name (short name) Example: |
|
id |
Type: CarId Vehicle ID Min length: Max length: Example: |
|
license |
Type: License Example
|
Example
{
"id": "5011ade6ba054dfdb7143c8cc9460dbc",
"brand_model": "BMW 5er",
"license": {
"number": "AA01234567"
},
"callsign": "123456789"
}
OrderType
|
Name |
Description |
|
id |
Type: OrderTypeId Order type ID Min length: Example: |
|
name |
Type: string Order type name Example: |
Example
{
"id": "4964b852670045b196e526d59915b777",
"name": "Yandex.Cashless"
}
DriverWorkRule
Driver's working condition
|
Name |
Description |
|
id |
Type: string Working condition ID of the driver Example: |
|
name |
Type: string Working condition name of the driver Example: |
Example
{
"id": "e26a3cf21acfe01198d50030487e046b",
"name": "Rental"
}
OrderTariff
Taxi company's service classes
|
Name |
Description |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
Example
{
"id": "example",
"name": "example"
}
Passenger
|
Name |
Description |
|
name |
Type: string Example: |
|
phones |
Type: string[] Min items: Max items: Example
|
Example
{
"name": "example",
"phones": [
"example"
]
}
Company
|
Name |
Description |
|
comment |
Type: string Example: |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
slip |
Type: string Example: |
Example
{
"id": "example",
"name": "example",
"slip": "example",
"comment": "example"
}
ParkDetails
|
Name |
Description |
|
company |
Type: Company Example
|
|
passenger |
Type: Passenger Example
|
|
tariff |
Type: OrderTariff Taxi company's service classes Example
|
Example
{
"tariff": {
"id": "example",
"name": "example"
},
"passenger": {
"name": "example",
"phones": [
"example"
]
},
"company": {
"id": "example",
"name": "example",
"slip": "example",
"comment": "example"
}
}
Order
|
Name |
Description |
|
address_from |
Type: AddressInfo Example
|
|
amenities |
Type: Amenities Vehilce amenity. Possible values:
Example
|
|
booked_at |
Type: DateTime ISO 8601 with time zone Example: |
|
created_at |
Type: DateTime ISO 8601 with time zone Example: |
|
events |
Type: Events Example
|
|
id |
Type: OrderId Order ID Min length: Max length: Example: |
|
provider |
Type: Provider Enum: |
|
route_points |
Type: RoutePoints Example
|
|
short_id |
Type: OrderShortId Index number of the order (with canceled orders taken into account) Min value: Example: |
|
status |
Type: OrderStatus Order status. Possible values:
Enum: |
|
cancellation_description |
Type: string Example: |
|
car |
Type: OrdersListCar Example
|
|
category |
Type: Category Vehicle category. Possible values:
Enum: |
|
driver_profile |
Type: DriverProfile Example
|
|
driver_work_rule |
Type: DriverWorkRule Driver's working condition Example
|
|
ended_at |
Type: DateTime ISO 8601 with time zone Example: |
|
mileage |
Type: string Example: |
|
park_details |
Type: ParkDetails Example
|
|
payment_method |
Type: PaymentMethod Payment method. Possible values:
Enum: |
|
price |
Type: Amount Fixed-point sum Max length: Example: |
|
type |
Type: OrderType Example
|
Example
{
"id": "c8d40acf182b4b32af72f6ad2029031b",
"short_id": 248,
"status": "complete",
"created_at": "2019-08-08T11:58:01+03:00",
"booked_at": null,
"provider": "platform",
"category": "econom",
"amenities": [
"wifi"
],
"address_from": {
"address": "8 Liberty Street",
"lat": 55.762235,
"lon": 37.609651
},
"route_points": [
null
],
"events": [
{
"event_at": null,
"order_status": null
}
],
"ended_at": null,
"payment_method": "card",
"driver_profile": {
"id": "33de650c6a1a40bfa78dd981817da866",
"name": "Smith, John Richard"
},
"car": {
"id": "5011ade6ba054dfdb7143c8cc9460dbc",
"brand_model": "BMW 5er",
"license": {
"number": "AA01234567"
},
"callsign": "123456789"
},
"type": {
"id": "4964b852670045b196e526d59915b777",
"name": "Yandex.Cashless"
},
"price": "12345.1434",
"driver_work_rule": {
"id": "e26a3cf21acfe01198d50030487e046b",
"name": "Rental"
},
"mileage": "example",
"cancellation_description": "example",
"park_details": {
"tariff": {
"id": "example",
"name": "example"
},
"passenger": {
"name": "example",
"phones": [
"example"
]
},
"company": {
"id": "example",
"name": "example",
"slip": "example",
"comment": "example"
}
}
}
OrdersList
Type: Order[]
Example
[
{
"id": "c8d40acf182b4b32af72f6ad2029031b",
"short_id": 248,
"status": "complete",
"created_at": "2019-08-08T11:58:01+03:00",
"booked_at": null,
"provider": "platform",
"category": "econom",
"amenities": [
"wifi"
],
"address_from": {
"address": "8 Liberty Street",
"lat": 55.762235,
"lon": 37.609651
},
"route_points": [
null
],
"events": [
{
"event_at": null,
"order_status": null
}
],
"ended_at": null,
"payment_method": "card",
"driver_profile": {
"id": "33de650c6a1a40bfa78dd981817da866",
"name": "Smith, John Richard"
},
"car": {
"id": "5011ade6ba054dfdb7143c8cc9460dbc",
"brand_model": "BMW 5er",
"license": {
"number": "AA01234567"
},
"callsign": "123456789"
},
"type": {
"id": "4964b852670045b196e526d59915b777",
"name": "Yandex.Cashless"
},
"price": "12345.1434",
"driver_work_rule": {
"id": "e26a3cf21acfe01198d50030487e046b",
"name": "Rental"
},
"mileage": "example",
"cancellation_description": "example",
"park_details": {
"tariff": {
"id": "example",
"name": "example"
},
"passenger": {
"name": "example",
"phones": [
"example"
]
},
"company": {
"id": "example",
"name": "example",
"slip": "example",
"comment": "example"
}
}
}
]
ResponseCursor
Cursor for obtaining the next data chunk
Type: string
Example: ``
400 Bad Request
Invalid request parameters
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
401 Unauthorized
Request authorization parameters are missing
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
403 Forbidden
Insufficient rights to execute the request
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
429 Too Many Requests
Limit of requests was exceeded
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
500 Internal Server Error
Internal server error
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |